SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1782994 - Unable to boot RHCOS instances on remote libvirtd on s390x
Summary: Unable to boot RHCOS instances on remote libvirtd on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.z
Assignee: Alex Crawford
QA Contact: Jeremy Poulin
URL:
Whiteboard:
Depends On: 1782986 1782992
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-12 18:51 UTC by Alex Crawford
Modified: 2020-01-07 17:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1782992
Environment:
Last Closed: 2020-01-07 17:55:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2804 None closed Bug 1782994: terraform/plugins: update libvirt provider 2020-04-17 07:59:30 UTC
Red Hat Product Errata RHBA-2020:0014 None None None 2020-01-07 17:55:17 UTC

Description Alex Crawford 2019-12-12 18:51:56 UTC
+++ This bug was initially created as a clone of Bug #1782992 +++

+++ This bug was initially created as a clone of Bug #1782986 +++

s390x doesn't support the QEMU firmware config device that we use to pass Ignition configs through to RHCOS guests. As a fallback, libguestfish was used to modify the root disk to directly inject the Ignition config. This doesn't work on remote machines though, so the new approach is to use the RHCOS images built for OpenStack and to pass the Ignition config through the config-drive mechanism instead.

Comment 4 errata-xmlrpc 2020-01-07 17:55:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0014


Note You need to log in before you can comment on or make changes to this bug.